- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ovirt_job – Module to manage jobs in oVirt/RHV

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module manage jobs in oVirt/RHV. It can also manage steps of the job.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- ovirt-engine-sdk-python >= 4.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth dictionary / required |  | Dictionary with values needed to create HTTP/HTTPS connection to oVirt:
| ca_file string |  | A PEM file containing the trusted CA certificates. The certificate presented by the server will be verified using these CA certificates. If `ca_file` parameter is not set, system wide CA certificate store is used. Default value is set by `OVIRT_CAFILE` environment variable.
| headers dictionary |  | Dictionary of HTTP headers to be added to each API call.
| hostname string |  | A string containing the hostname of the server, usually something like `server.example.com`. Default value is set by `OVIRT_HOSTNAME` environment variable. Either `url` or `hostname` is required.
| insecure boolean | Choices: no yes | A boolean flag that indicates if the server TLS certificate and host name should be checked.
| kerberos boolean | Choices: no yes | A boolean flag indicating if Kerberos authentication should be used instead of the default basic authentication.
| password string / required |  | The password of the user. Default value is set by `OVIRT_PASSWORD` environment variable.
| token string |  | Token to be used instead of login with username/password. Default value is set by `OVIRT_TOKEN` environment variable.
| url string |  | A string containing the API URL of the server, usually something like `https://server.example.com/ovirt-engine/api`. Default value is set by `OVIRT_URL` environment variable. Either `url` or `hostname` is required.
| username string / required |  | The name of the user, something like admin@internal. Default value is set by `OVIRT_USERNAME` environment variable.
description - / required |  | Description of the job. When task with same description has already finished and you rerun taks it will create new job.
fetch_nested boolean | Choices: no yes | If True the module will fetch additional data from the API. It will fetch IDs of the VMs disks, snapshots, etc. User can configure to fetch other attributes of the nested entities by specifying `nested_attributes`.
nested_attributes list |  | Specifies list of the attributes which should be fetched from the API. This parameter apply only when `fetch_nested` is true.
poll_interval integer | Default: 3 | Number of the seconds the module waits until another poll request on entity status is sent.
state - | Choices: present ← absent started finished failed | Should the job be `present`/`absent`/`failed`. `started` is alias for `present`. `finished` is alias for `absent`. Same in the steps. Note when `finished`/`failed` it will finish/fail all steps.
steps list |  | The steps of the job.
| description - / required |  | Description of the step.
| state - | Choices: present ← absent started finished failed | Should the step be present/absent/failed. Note when one step fail whole job will fail Note when all steps are finished it will finish job.
timeout integer | Default: 180 | The amount of time in seconds the module should wait for the instance to get into desired state.
wait boolean | Choices: no yes ← | `yes` if the module should wait for the entity to get into desired state.

## Notes

Note

- In order to use this module you have to install oVirt Python SDK. To ensure it’s installed with correct version you can create the following task: pip: name=ovirt-engine-sdk-python version=4.3.0

## Examples

    # Examples don't contain auth parameter for simplicity,
    # look at ovirt_auth module to see how to reuse authentication:

    - name: Create job with two steps
      ovirt_job:
        description: job_name
        steps:
          - description: step_name_A
          - description: step_name_B

    - name: Finish one step
      ovirt_job:
        description: job_name
        steps:
          - description: step_name_A
            state: finished

    - name: When you fail one step whole job will stop
      ovirt_job:
        description: job_name
        steps:
          - description: step_name_B
            state: failed

    - name: Finish all steps
      ovirt_job:
        description: job_name
        state: finished

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
id string | On success if job is found. | ID of the job which is managed Sample: 7de90f31-222c-436c-a1ca-7e655bd5b60c
job dictionary | On success if job is found. | Dictionary of all the job attributes. Job attributes can be found on your oVirt/RHV instance at following url: http://ovirt.github.io/ovirt-engine-api-model/master/#types/job.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Martin Necas (@mnecas)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.